> ## Documentation Index
> Fetch the complete documentation index at: https://docs.symmetry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Postman Collection

> Postman Collection



## OpenAPI

````yaml /i9/api-reference/i-9-api.yaml get /postman/collection
openapi: 3.1.0
info:
  contact:
    name: Symmetry Software
    url: https://www.symmetry.com
  description: I-9 API Documentation
  license:
    name: Terms of service
    url: https://www.symmetry.com/terms
  title: I-9 API
  version: 1.69.13
servers:
  - url: https://api.symmetry.com/i9
security: []
tags:
  - description: >-
      Endpoints for managing custom app theming configurations for a specific
      employer
    name: Employer Custom App Theming
  - description: >-
      Endpoints for managing custom app theming configurations for all employers
      in the account
    name: Account Custom App Theming
paths:
  /postman/collection:
    get:
      tags:
        - Postman
      summary: Postman Collection
      description: Postman Collection
      operationId: getPostmanCollection
      responses:
        '200':
          content:
            application/json:
              example:
                info:
                  _exporter_id: '30261958'
                  _postman_id: 15656b1f-7256-4a24-a5a7-3afe8c98076c
                  name: Symmetry I9
                  schema: >-
                    https://schema.getpostman.com/json/collection/v2.1.0/collection.json
                item:
                  - item:
                      - name: Get all employers
                        request:
                          auth:
                            bearer:
                              - key: token
                                type: string
                                value: '{{accessToken}}'
                            type: bearer
                          header: []
                          method: GET
                          url:
                            host:
                              - '{{apiDomain}}'
                            path:
                              - i9
                              - '{{apiVersion}}'
                              - employers
                            raw: '{{apiDomain}}/i9/{{apiVersion}}/employers'
                        response: []
                      - name: Get employer by ID
                        request:
                          auth:
                            bearer:
                              - key: token
                                type: string
                                value: '{{accessToken}}'
                            type: bearer
                          header: []
                          method: GET
                          url:
                            host:
                              - '{{apiDomain}}'
                            path:
                              - i9
                              - '{{apiVersion}}'
                              - employers
                              - '{{employerId}}'
                            raw: >-
                              {{apiDomain}}/i9/{{apiVersion}}/employers/{{employerId}}
                        response: []
                      - name: Register employer
                        request:
                          auth:
                            bearer:
                              - key: token
                                type: string
                                value: '{{accessToken}}'
                            type: bearer
                          body:
                            mode: raw
                            options:
                              raw:
                                language: json
                            raw: |-
                              {
                                  "name": "Company 1",
                                  "federalEIN": "98-7654321",
                                  "timezone": "America/New_York",
                                  "address": {
                                      "streetAddress1": "14350 N 87th St",
                                      "streetAddress2": "STE 310",
                                      "city": "Scottsdale",
                                      "state": "AZ",
                                      "zipCode": "85260"
                                  }
                              }
                          header: []
                          method: POST
                          url:
                            host:
                              - '{{apiDomain}}'
                            path:
                              - i9
                              - '{{apiVersion}}'
                              - employers
                            raw: '{{apiDomain}}/i9/{{apiVersion}}/employers'
                        response: []
                      - name: Update employer
                        request:
                          auth:
                            bearer:
                              - key: token
                                type: string
                                value: '{{accessToken}}'
                            type: bearer
                          body:
                            mode: raw
                            options:
                              raw:
                                language: json
                            raw: |-
                              {
                                  "name": "Company 2",
                                  "federalEIN": "98-7654321"
                              }
                          header: []
                          method: PATCH
                          url:
                            host:
                              - '{{apiDomain}}'
                            path:
                              - i9
                              - '{{apiVersion}}'
                              - employers
                              - '{{employerId}}'
                            raw: >-
                              {{apiDomain}}/i9/{{apiVersion}}/employers/{{employerId}}
                        response: []
                      - name: 'Register employer with webhook (Auth: None)'
                        request:
                          auth:
                            bearer:
                              - key: token
                                type: string
                                value: '{{accessToken}}'
                            type: bearer
                          body:
                            mode: raw
                            options:
                              raw:
                                language: json
                            raw: |-
                              {
                                  "name": "Company 1",
                                  "federalEIN": "98-7654321",
                                  "timezone": "America/New_York",
                                  "address": {
                                      "streetAddress1": "14350 N 87th St",
                                      "streetAddress2": "STE 310",
                                      "city": "Scottsdale",
                                      "state": "AZ",
                                      "zipCode": "85260"
                                  },
                                  "webhook": {
                                      "callbackUrl": "https://client-system.example.com/callbacks/i9",
                                      "authentication": {
                                          "authType": "none"
                                      }
                                  }
                              }
                          header: []
                          method: POST
                          url:
                            host:
                              - '{{apiDomain}}'
                            path:
                              - i9
                              - '{{apiVersion}}'
                              - employers
                            raw: '{{apiDomain}}/i9/{{apiVersion}}/employers'
                        response: []
                      - name: 'Register employer with webhook (Auth: Basic)'
                        request:
                          auth:
                            bearer:
                              - key: token
                                type: string
                                value: '{{accessToken}}'
                            type: bearer
                          body:
                            mode: raw
                            options:
                              raw:
                                language: json
                            raw: |-
                              {
                                  "name": "Company 1",
                                  "federalEIN": "98-7654321",
                                  "timezone": "America/New_York",
                                  "address": {
                                      "streetAddress1": "14350 N 87th St",
                                      "streetAddress2": "STE 310",
                                      "city": "Scottsdale",
                                      "state": "AZ",
                                      "zipCode": "85260"
                                  },
                                  "webhook": {
                                      "callbackUrl": "https://client-system.example.com/callbacks/i9",
                                      "authentication": {
                                          "authType": "basic",
                                          "username": "webhook_user",
                                          "password": "webhook_password"
                                      }
                                  }
                              }
                          header: []
                          method: POST
                          url:
                            host:
                              - '{{apiDomain}}'
                            path:
                              - i9
                              - '{{apiVersion}}'
                              - employers
                            raw: '{{apiDomain}}/i9/{{apiVersion}}/employers'
                        response: []
                      - name: 'Register employer with webhook (Auth: OAuth2)'
                        request:
                          auth:
                            bearer:
                              - key: token
                                type: string
                                value: '{{accessToken}}'
                            type: bearer
                          body:
                            mode: raw
                            options:
                              raw:
                                language: json
                            raw: |-
                              {
                                  "name": "Company 1",
                                  "federalEIN": "98-7654321",
                                  "timezone": "America/New_York",
                                  "address": {
                                      "streetAddress1": "14350 N 87th St",
                                      "streetAddress2": "STE 310",
                                      "city": "Scottsdale",
                                      "state": "AZ",
                                      "zipCode": "85260"
                                  },
                                  "webhook": {
                                      "callbackUrl": "https://client-system.example.com/callbacks/i9",
                                      "authentication": {
                                          "authType": "oauth2",
                                          "oauth2ClientId": "client_123",
                                          "oauth2ClientSecret": "secret_456",
                                          "oauth2AuthServerUrl": "https://auth.example.com/oauth/token",
                                          "oauth2GrantType": "client_credentials"
                                      }
                                  }
                              }
                          header: []
                          method: POST
                          url:
                            host:
                              - '{{apiDomain}}'
                            path:
                              - i9
                              - '{{apiVersion}}'
                              - employers
                            raw: '{{apiDomain}}/i9/{{apiVersion}}/employers'
                        response: []
                      - name: >-
                          Register employer with webhook and postback (Auth:
                          Basic)
                        request:
                          auth:
                            bearer:
                              - key: token
                                type: string
                                value: '{{accessToken}}'
                            type: bearer
                          body:
                            mode: raw
                            options:
                              raw:
                                language: json
                            raw: |-
                              {
                                  "name": "Company 1",
                                  "federalEIN": "98-7654321",
                                  "timezone": "America/New_York",
                                  "address": {
                                      "streetAddress1": "14350 N 87 ST",
                                      "streetAddress2": "STE 310",
                                      "city": "Scottsdale",
                                      "state": "AZ",
                                      "zipCode": "85260"
                                  },
                                  "webhook": {
                                      "callbackUrl": "https://client-system.example.com/callbacks/i9",
                                      "authentication": {
                                          "authType": "basic",
                                          "username": "webhook_user",
                                          "password": "webhook_password"
                                      }
                                  },
                                  "postback": {
                                      "enabled": true,
                                      "trustAllCertificates": false,
                                      "timeout": 15,
                                      "failureNotificationEmail": "admin@example.com",
                                      "encryption": {
                                          "enabled": true,
                                          "encryptionCertificate": "MIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEA1234567890abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789+/=="
                                      },
                                      "target": {
                                          "url": "https://client-system.example.com/postbacks/i9",
                                          "authentication": {
                                              "authType": "basic",
                                              "username": "postback_user",
                                              "password": "postback_password"
                                          }
                                      },
                                      "proxy": {
                                          "enabled": true,
                                          "host": "192.168.1.1",
                                          "port": 8080,
                                          "authentication": {
                                              "authType": "basic",
                                              "username": "proxy_user",
                                              "password": "proxy_password"
                                          }
                                      }
                                  }
                              }
                          header: []
                          method: POST
                          url:
                            host:
                              - '{{apiDomain}}'
                            path:
                              - i9
                              - '{{apiVersion}}'
                              - employers
                            raw: '{{apiDomain}}/i9/{{apiVersion}}/employers'
                        response: []
                      - name: Configure E-Verify Settings
                        request:
                          auth:
                            bearer:
                              - key: token
                                type: string
                                value: '{{accessToken}}'
                            type: bearer
                          body:
                            mode: raw
                            options:
                              raw:
                                language: json
                            raw: |-
                              {
                                  "companyId": "123456",
                                  "programAdministratorId": "789012",
                                  "programAdministratorFirstName": "John",
                                  "programAdministratorLastName": "Doe",
                                  "programAdministratorEmail": "john.doe@example.com",
                                  "programAdministratorPhone": "234-567-8901",
                                  "webServiceUsername": "everify_user",
                                  "webServicePassword": "everify_pwd"
                              }
                          header: []
                          method: POST
                          url:
                            host:
                              - '{{apiDomain}}'
                            path:
                              - i9
                              - '{{apiVersion}}'
                              - employers
                              - '{{employerId}}'
                              - everifySettings
                            raw: >-
                              {{apiDomain}}/i9/{{apiVersion}}/employers/{{employerId}}/everifySettings
                        response: []
                    name: Employer
                  - item:
                      - name: Get all employees
                        request:
                          auth:
                            bearer:
                              - key: token
                                type: string
                                value: '{{accessToken}}'
                            type: bearer
                          header: []
                          method: GET
                          url:
                            host:
                              - '{{apiDomain}}'
                            path:
                              - i9
                              - '{{apiVersion}}'
                              - employers
                              - '{{employerId}}'
                              - employees
                            raw: >-
                              {{apiDomain}}/i9/{{apiVersion}}/employers/{{employerId}}/employees
                        response: []
                      - name: Get employee by ID
                        request:
                          auth:
                            bearer:
                              - key: token
                                type: string
                                value: '{{accessToken}}'
                            type: bearer
                          header: []
                          method: GET
                          url:
                            host:
                              - '{{apiDomain}}'
                            path:
                              - i9
                              - '{{apiVersion}}'
                              - employers
                              - '{{employerId}}'
                              - employees
                              - '{{employeeId}}'
                            raw: >-
                              {{apiDomain}}/i9/{{apiVersion}}/employers/{{employerId}}/employees/{{employeeId}}
                        response: []
                      - name: Delete employee by ID
                        request:
                          auth:
                            bearer:
                              - key: token
                                type: string
                                value: '{{accessToken}}'
                            type: bearer
                          header: []
                          method: DELETE
                          url:
                            host:
                              - '{{apiDomain}}'
                            path:
                              - i9
                              - '{{apiVersion}}'
                              - employers
                              - '{{employerId}}'
                              - employees
                              - '{{employeeId}}'
                            raw: >-
                              {{apiDomain}}/i9/{{apiVersion}}/employers/{{employerId}}/employees/{{employeeId}}
                        response: []
                      - name: Generate employee access token
                        request:
                          auth:
                            bearer:
                              - key: token
                                type: string
                                value: '{{accessToken}}'
                            type: bearer
                          header: []
                          method: GET
                          url:
                            host:
                              - '{{apiDomain}}'
                            path:
                              - i9
                              - '{{apiVersion}}'
                              - employers
                              - '{{employerId}}'
                              - employees
                              - '{{employeeId}}'
                              - generateToken
                            raw: >-
                              {{apiDomain}}/i9/{{apiVersion}}/employers/{{employerId}}/employees/{{employeeId}}/generateToken
                        response: []
                      - name: Get employee submissions
                        request:
                          auth:
                            bearer:
                              - key: token
                                type: string
                                value: '{{accessToken}}'
                            type: bearer
                          header: []
                          method: GET
                          url:
                            host:
                              - '{{apiDomain}}'
                            path:
                              - i9
                              - '{{apiVersion}}'
                              - employers
                              - '{{employerId}}'
                              - employees
                              - '{{employeeId}}'
                              - submissions
                            raw: >-
                              {{apiDomain}}/i9/{{apiVersion}}/employers/{{employerId}}/employees/{{employeeId}}/submissions
                        response: []
                      - name: Get employee submission details by ID
                        request:
                          auth:
                            bearer:
                              - key: token
                                type: string
                                value: '{{accessToken}}'
                            type: bearer
                          header: []
                          method: GET
                          url:
                            host:
                              - '{{apiDomain}}'
                            path:
                              - i9
                              - '{{apiVersion}}'
                              - employers
                              - '{{employerId}}'
                              - employees
                              - '{{employeeId}}'
                              - submissions
                              - '{{submissionId}}'
                            raw: >-
                              {{apiDomain}}/i9/{{apiVersion}}/employers/{{employerId}}/employees/{{employeeId}}/submissions/{{submissionId}}
                        response: []
                      - name: Register employee
                        request:
                          auth:
                            bearer:
                              - key: token
                                type: string
                                value: '{{accessToken}}'
                            type: bearer
                          body:
                            mode: raw
                            options:
                              raw:
                                language: json
                            raw: |-
                              {
                                      "firstName": "Alice",
                                      "lastName": "Cooper",
                                      "emailAddress": "alice.cooper5@example.com",
                                      "telephoneNumber": "480-223-4567",
                                      "address": {
                                          "zipCode": "85260-2662",
                                          "city": "Scottsdale",
                                          "streetAddress1": "14350 N 87th St",
                                          "streetAddress2": "Ste 250",
                                          "state": "AZ"
                                      },
                                      "socialSecurityNumber": "456-01-2785",
                                      "appliedForSsn": false,
                                      "dateOfBirth": "1975-03-15",
                                  "employment": {
                                      "hireDate": "2025-05-18",
                                      "startDate": "2025-06-01",
                                      "status": "active",
                                      "employeeDocumentOptions": {
                                          "i9RemoteCounterSignAuthorized": true,
                                          "i9RemoteReverificationAuthorized": true
                                      }
                                  }
                              }
                          header: []
                          method: POST
                          url:
                            host:
                              - '{{apiDomain}}'
                            path:
                              - i9
                              - '{{apiVersion}}'
                              - employers
                              - '{{employerId}}'
                              - employees
                            raw: >-
                              {{apiDomain}}/i9/{{apiVersion}}/employers/{{employerId}}/employees
                        response: []
                      - name: Update employee
                        request:
                          auth:
                            bearer:
                              - key: token
                                type: string
                                value: '{{accessToken}}'
                            type: bearer
                          body:
                            mode: raw
                            options:
                              raw:
                                language: json
                            raw: |-
                              {
                                      "lastName": "Clark",
                                      "appliedForSsn": true,
                                      "socialSecurityNumber": null
                              }    
                          header: []
                          method: PATCH
                          url:
                            host:
                              - '{{apiDomain}}'
                            path:
                              - i9
                              - '{{apiVersion}}'
                              - employers
                              - '{{employerId}}'
                              - employees
                              - '{{employeeId}}'
                            raw: >-
                              {{apiDomain}}/i9/{{apiVersion}}/employers/{{employerId}}/employees/{{employeeId}}
                        response: []
                      - name: Update employee - Missing SSN Validation Error
                        request:
                          auth:
                            bearer:
                              - key: token
                                type: string
                                value: '{{accessToken}}'
                            type: bearer
                          body:
                            mode: raw
                            options:
                              raw:
                                language: json
                            raw: |-
                              {
                                      "lastName": "Smith",
                                      "appliedForSsn": false,
                                      "socialSecurityNumber": null
                              }    
                          header: []
                          method: PATCH
                          url:
                            host:
                              - '{{apiDomain}}'
                            path:
                              - i9
                              - '{{apiVersion}}'
                              - employers
                              - '{{employerId}}'
                              - employees
                              - '{{employeeId}}'
                            raw: >-
                              {{apiDomain}}/i9/{{apiVersion}}/employers/{{employerId}}/employees/{{employeeId}}
                        response:
                          - _postman_previewlanguage: json
                            body: |-
                              {
                                  "errors": [
                                      {
                                          "field": "socialSecurityNumber.required",
                                          "message": "Social Security Number is required when applied_for_ssn is false.",
                                          "rejectedValue": "[REDACTED]"
                                      }
                                  ]
                              }
                            code: 400
                            cookie: []
                            header:
                              - key: Content-Type
                                value: application/json
                            name: Missing SSN Validation Error Response
                            originalRequest:
                              body:
                                mode: raw
                                options:
                                  raw:
                                    language: json
                                raw: |-
                                  {
                                          "lastName": "Smith",
                                          "appliedForSsn": false,
                                          "socialSecurityNumber": null
                                  }    
                              header: []
                              method: PATCH
                              url:
                                host:
                                  - '{{apiDomain}}'
                                path:
                                  - i9
                                  - '{{apiVersion}}'
                                  - employers
                                  - '{{employerId}}'
                                  - employees
                                  - '{{employeeId}}'
                                raw: >-
                                  {{apiDomain}}/i9/{{apiVersion}}/employers/{{employerId}}/employees/{{employeeId}}
                            status: Bad Request
                      - name: >-
                          Update employee - Conflicting appliedForSsn and SSN
                          Error
                        request:
                          auth:
                            bearer:
                              - key: token
                                type: string
                                value: '{{accessToken}}'
                            type: bearer
                          body:
                            mode: raw
                            options:
                              raw:
                                language: json
                            raw: |-
                              {
                                      "lastName": "Johnson",
                                      "appliedForSsn": true,
                                      "socialSecurityNumber": "123-45-6789"
                              }    
                          header: []
                          method: PATCH
                          url:
                            host:
                              - '{{apiDomain}}'
                            path:
                              - i9
                              - '{{apiVersion}}'
                              - employers
                              - '{{employerId}}'
                              - employees
                              - '{{employeeId}}'
                            raw: >-
                              {{apiDomain}}/i9/{{apiVersion}}/employers/{{employerId}}/employees/{{employeeId}}
                        response:
                          - _postman_previewlanguage: json
                            body: |-
                              {
                                  "errors": [
                                      {
                                          "field": "appliedForSsn.conflict",
                                          "message": "Cannot have both appliedForSsn=true and socialSecurityNumber. Set socialSecurityNumber to null when appliedForSsn is true.",
                                          "rejectedValue": "[REDACTED]"
                                      }
                                  ]
                              }
                            code: 400
                            cookie: []
                            header:
                              - key: Content-Type
                                value: application/json
                            name: Conflicting appliedForSsn and SSN Error Response
                            originalRequest:
                              body:
                                mode: raw
                                options:
                                  raw:
                                    language: json
                                raw: |-
                                  {
                                          "lastName": "Johnson",
                                          "appliedForSsn": true,
                                          "socialSecurityNumber": "123-45-6789"
                                  }    
                              header: []
                              method: PATCH
                              url:
                                host:
                                  - '{{apiDomain}}'
                                path:
                                  - i9
                                  - '{{apiVersion}}'
                                  - employers
                                  - '{{employerId}}'
                                  - employees
                                  - '{{employeeId}}'
                                raw: >-
                                  {{apiDomain}}/i9/{{apiVersion}}/employers/{{employerId}}/employees/{{employeeId}}
                            status: Bad Request
                      - name: Request Employee Remote Reverification
                        request:
                          auth:
                            bearer:
                              - key: token
                                type: string
                                value: '{{accessToken}}'
                            type: bearer
                          header: []
                          method: POST
                          url:
                            host:
                              - '{{apiDomain}}'
                            path:
                              - i9
                              - '{{apiVersion}}'
                              - employers
                              - '{{employerId}}'
                              - employees
                              - '{{employeeId}}'
                              - submissions
                              - '{{submissionId}}'
                              - requestRemoteReverification
                            raw: >-
                              {{apiDomain}}/i9/{{apiVersion}}/employers/{{employerId}}/employees/{{employeeId}}/submissions/{{submissionId}}/requestRemoteReverification
                        response: []
                    name: Employee
                  - item:
                      - name: Get all admins
                        request:
                          auth:
                            bearer:
                              - key: token
                                type: string
                                value: '{{accessToken}}'
                            type: bearer
                          header: []
                          method: GET
                          url:
                            host:
                              - '{{apiDomain}}'
                            path:
                              - i9
                              - '{{apiVersion}}'
                              - employers
                              - '{{employerId}}'
                              - admins
                            raw: >-
                              {{apiDomain}}/i9/{{apiVersion}}/employers/{{employerId}}/admins
                        response: []
                      - name: Get admin by ID
                        request:
                          auth:
                            bearer:
                              - key: token
                                type: string
                                value: '{{accessToken}}'
                            type: bearer
                          header: []
                          method: GET
                          url:
                            host:
                              - '{{apiDomain}}'
                            path:
                              - i9
                              - '{{apiVersion}}'
                              - employers
                              - '{{employerId}}'
                              - admins
                              - '{{adminId}}'
                            raw: >-
                              {{apiDomain}}/i9/{{apiVersion}}/employers/{{employerId}}/admins/{{adminId}}
                        response: []
                      - name: Delete admin by ID
                        request:
                          auth:
                            bearer:
                              - key: token
                                type: string
                                value: '{{accessToken}}'
                            type: bearer
                          header: []
                          method: DELETE
                          url:
                            host:
                              - '{{apiDomain}}'
                            path:
                              - i9
                              - '{{apiVersion}}'
                              - employers
                              - '{{employerId}}'
                              - admins
                              - '{{adminId}}'
                            raw: >-
                              {{apiDomain}}/i9/{{apiVersion}}/employers/{{employerId}}/admins/{{adminId}}
                        response: []
                      - name: Generate admin access token
                        request:
                          auth:
                            bearer:
                              - key: token
                                type: string
                                value: '{{accessToken}}'
                            type: bearer
                          header: []
                          method: GET
                          url:
                            host:
                              - '{{apiDomain}}'
                            path:
                              - i9
                              - '{{apiVersion}}'
                              - employers
                              - '{{employerId}}'
                              - admins
                              - '{{adminId}}'
                              - generateToken
                            raw: >-
                              {{apiDomain}}/i9/{{apiVersion}}/employers/{{employerId}}/admins/{{adminId}}/generateToken
                        response: []
                      - name: Generate link to access e-verify settings
                        request:
                          auth:
                            bearer:
                              - key: token
                                type: string
                                value: '{{accessToken}}'
                            type: bearer
                          header: []
                          method: GET
                          url:
                            host:
                              - '{{apiDomain}}'
                            path:
                              - i9
                              - '{{apiVersion}}'
                              - employers
                              - '{{employerId}}'
                              - admins
                              - '{{adminId}}'
                              - everifySettings
                              - generateEverifySettingsUri
                            raw: >-
                              {{apiDomain}}/i9/{{apiVersion}}/employers/{{employerId}}/admins/{{adminId}}/everifySettings/generateEverifySettingsUri
                        response: []
                      - name: Generate direct link to employee submission page
                        request:
                          auth:
                            bearer:
                              - key: token
                                type: string
                                value: '{{accessToken}}'
                            type: bearer
                          header: []
                          method: GET
                          url:
                            host:
                              - '{{apiDomain}}'
                            path:
                              - i9
                              - '{{apiVersion}}'
                              - employers
                              - '{{employerId}}'
                              - admins
                              - '{{adminId}}'
                              - employees
                              - '{{employeeId}}'
                              - submissions
                              - '{{submissionId}}'
                              - generateUri
                            raw: >-
                              {{apiDomain}}/i9/{{apiVersion}}/employers/{{employerId}}/admins/{{adminId}}/employees/{{employeeId}}/submissions/{{submissionId}}/generateUri
                        response: []
                      - name: >-
                          Generate direct link to administrator index page
                          filtered by I-9s requiring Section 2 verification
                        request:
                          auth:
                            bearer:
                              - key: token
                                type: string
                                value: '{{accessToken}}'
                            type: bearer
                          header: []
                          method: GET
                          url:
                            host:
                              - '{{apiDomain}}'
                            path:
                              - i9
                              - '{{apiVersion}}'
                              - employers
                              - '{{employerId}}'
                              - admins
                              - '{{adminId}}'
                              - generatePendingCountersignUri
                            raw: >-
                              {{apiDomain}}/i9/{{apiVersion}}/employers/{{employerId}}/admins/{{adminId}}/generatePendingCountersignUri
                        response: []
                      - name: Generate direct link to E-Verify case index page
                        request:
                          auth:
                            bearer:
                              - key: token
                                type: string
                                value: '{{accessToken}}'
                            type: bearer
                          header: []
                          method: GET
                          url:
                            host:
                              - '{{apiDomain}}'
                            path:
                              - i9
                              - '{{apiVersion}}'
                              - employers
                              - '{{employerId}}'
                              - admins
                              - '{{adminId}}'
                              - everifyCases
                              - generateUri
                            raw: >-
                              {{apiDomain}}/i9/{{apiVersion}}/employers/{{employerId}}/admins/{{adminId}}/everifyCases/generateUri
                        response: []
                      - name: Generate direct link to E-Verify single case page
                        request:
                          auth:
                            bearer:
                              - key: token
                                type: string
                                value: '{{accessToken}}'
                            type: bearer
                          header: []
                          method: GET
                          url:
                            host:
                              - '{{apiDomain}}'
                            path:
                              - i9
                              - '{{apiVersion}}'
                              - employers
                              - '{{employerId}}'
                              - admins
                              - '{{adminId}}'
                              - everifyCases
                              - '{{everifyId}}'
                              - generateUri
                            raw: >-
                              {{apiDomain}}/i9/{{apiVersion}}/employers/{{employerId}}/admins/{{adminId}}/everifyCases/{{everifyId}}/generateUri
                        response: []
                      - name: Register admin
                        request:
                          auth:
                            bearer:
                              - key: token
                                type: string
                                value: '{{accessToken}}'
                            type: bearer
                          body:
                            mode: raw
                            options:
                              raw:
                                language: json
                            raw: |-
                              {
                                      "emailAddress":"admin@example.com",
                                      "firstName":"AdminFirst",
                                      "lastName":"AdminLast"
                              }
                          header: []
                          method: POST
                          url:
                            host:
                              - '{{apiDomain}}'
                            path:
                              - i9
                              - '{{apiVersion}}'
                              - employers
                              - '{{employerId}}'
                              - admins
                            raw: >-
                              {{apiDomain}}/i9/{{apiVersion}}/employers/{{employerId}}/admins
                        response: []
                      - name: Update admin
                        request:
                          auth:
                            bearer:
                              - key: token
                                type: string
                                value: '{{accessToken}}'
                            type: bearer
                          body:
                            mode: raw
                            options:
                              raw:
                                language: json
                            raw: |-
                              {
                               "lastName": "Weiss" 
                              }    
                          header: []
                          method: PATCH
                          url:
                            host:
                              - '{{apiDomain}}'
                            path:
                              - i9
                              - '{{apiVersion}}'
                              - employers
                              - '{{employerId}}'
                              - admins
                              - '{{adminId}}'
                            raw: >-
                              {{apiDomain}}/i9/{{apiVersion}}/employers/{{employerId}}/admins/{{adminId}}
                        response: []
                    name: Admin
                  - item:
                      - name: Get all e-verify cases
                        request:
                          auth:
                            bearer:
                              - key: token
                                type: string
                                value: '{{accessToken}}'
                            type: bearer
                          header: []
                          method: GET
                          url:
                            host:
                              - '{{apiDomain}}'
                            path:
                              - i9
                              - '{{apiVersion}}'
                              - employers
                              - '{{employerId}}'
                              - everifyCases
                            raw: >-
                              {{apiDomain}}/i9/{{apiVersion}}/employers/{{employerId}}/everifyCases
                        response: []
                      - name: Get e-verify case by ID
                        request:
                          auth:
                            bearer:
                              - key: token
                                type: string
                                value: '{{accessToken}}'
                            type: bearer
                          header: []
                          method: GET
                          url:
                            host:
                              - '{{apiDomain}}'
                            path:
                              - i9
                              - '{{apiVersion}}'
                              - employers
                              - '{{employerId}}'
                              - everifyCases
                              - '{{everifyId}}'
                            raw: >-
                              {{apiDomain}}/i9/{{apiVersion}}/employers/{{employerId}}/everifyCases/{{everifyId}}
                        response: []
                    name: EVerify
                  - event:
                      - listen: test
                        script:
                          exec:
                            - var responseCode = pm.response.code;
                            - if (responseCode == 200) {
                            - '    var accessToken = pm.response.json().accessToken;'
                            - '    if (!!accessToken) {'
                            - '        pm.environment.set("accessToken", accessToken);'
                            - '    }'
                            - '} else {'
                            - '    console.log("Error - code: " + responseCode);'
                            - '}'
                          type: text/javascript
                    name: Authentication
                    request:
                      description: Generates an access token to I-9 API endpoints.
                      header:
                        - key: Accept
                          type: text
                          value: application/json
                        - key: api-key
                          type: text
                          value: '{{apiKey}}'
                      method: GET
                      url:
                        host:
                          - '{{apiDomain}}'
                        path:
                          - authentication
                          - login
                        raw: '{{apiDomain}}/authentication/login'
                    response: []
                  - name: Open API Config (Swagger)
                    request:
                      header:
                        - key: Accept
                          type: text
                          value: application/yaml
                      method: GET
                      url:
                        host:
                          - '{{apiDomain}}'
                        path:
                          - i9
                          - docs
                          - config
                        raw: '{{apiDomain}}/i9/docs/config'
                    response: []
              schema:
                type: string
          description: OK
        '400':
          description: Bad Request
        '404':
          description: Not Found
      security:
        - AuthenticationToken: []
components:
  securitySchemes:
    AuthenticationToken:
      bearerFormat: JWT
      scheme: bearer
      type: http

````